Index: /trunk/LMDZ.COMMON/libf/evolution/soil_TIfeedback_PEM.F90
===================================================================
--- /trunk/LMDZ.COMMON/libf/evolution/soil_TIfeedback_PEM.F90	(revision 2834)
+++ /trunk/LMDZ.COMMON/libf/evolution/soil_TIfeedback_PEM.F90	(revision 2835)
@@ -1,5 +1,4 @@
       SUBROUTINE soil_TIfeedback_PEM(ngrid,nsoil,icecover,   newtherm_i)
 
-!      use tracer_mod, only:  rho_ice
       use comsoil_h_PEM, only: layer_PEM, inertiedat_PEM
 
@@ -24,5 +23,4 @@
 !  Author: Adapted from J.-B. Madeleine Mars 2008 ( Updated November 2012) by LL, 2022
 !=======================================================================
- 
 
 !Local variables
@@ -42,11 +40,9 @@
 
       REAL ,INTENT(IN):: icecover(ngrid)         ! tracer on the surface (kg.m-2)
-                                       
-                                        ! water ice
+
 !Outputs
 !-------
 
       REAL,INTENT(INOUT) :: newtherm_i(ngrid,nsoil)    ! New soil thermal inertia
-
 
       prev_thermi(:,:) = newtherm_i(:,:)
Index: /trunk/LMDZ.COMMON/libf/evolution/soil_evolution_mod.F90
===================================================================
--- /trunk/LMDZ.COMMON/libf/evolution/soil_evolution_mod.F90	(revision 2834)
+++ /trunk/LMDZ.COMMON/libf/evolution/soil_evolution_mod.F90	(revision 2835)
@@ -1,9 +1,9 @@
       MODULE soil_evolution_mod
 
+      IMPLICIT NONE
 
-      IMPLICIT NONE
+      LOGICAL soil_pem  ! True by default, to run with the subsurface physic. Read in pem.def
       
       CONTAINS    
-
 
      subroutine soil_pem_CN(ngrid,nsoil, &
@@ -25,8 +25,4 @@
 
 #include "dimensions.h"
-!#include "dimphys.h"
-
-!#include"comsoil.h"
-
 
 !-----------------------------------------------------------------------
@@ -44,6 +40,4 @@
       real,intent(inout) :: tsoil(ngrid,nsoil) ! soil (mid-layer) temperature
 
-
-      
 ! local variables:
       integer ig,ik,isoil
@@ -58,10 +52,8 @@
       real :: Tcol(nsoil)
 
-
 do ig = 1,ngrid
 
    Tcol(:) = tsoil(ig,:)
 !0. Build thermal properties of the ground
-
 
   do isoil = 1,nsoil
@@ -87,6 +79,4 @@
 beta_pem(1) = k_soil(1)*timestep/(rhoc(1)*layer_PEM(2)*layer_PEM(1))
 
-
-
 !1.c At the bottom: dT/dz = -Fgeo/k.
 beta_pem(nsoil) = timestep*k_soil(nsoil)/(2.*rhoc(nsoil)*(layer_PEM(isoil) - layer_PEM(isoil-1))**2)
@@ -107,12 +97,7 @@
   timestep/rhoc(nsoil)*fluxgeo/(layer_PEM(nsoil)-layer_PEM(nsoil-1)) 
 
-
-
 !2. Update by tridiagonal inversion 
   call tridag(d1,d2,d3,re,Tcol,nsoil) 
-  
-
-
-      tsoil(ig,:) = Tcol(:)
+  tsoil(ig,:) = Tcol(:)
   enddo
 
Index: /trunk/LMDZ.COMMON/libf/evolution/soil_pem.F90
===================================================================
--- /trunk/LMDZ.COMMON/libf/evolution/soil_pem.F90	(revision 2834)
+++ /trunk/LMDZ.COMMON/libf/evolution/soil_pem.F90	(revision 2835)
@@ -1,3 +1,3 @@
-      subroutine soil_pem(ngrid,nsoil,firstcall, &
+      subroutine soil_pem_routine(ngrid,nsoil,firstcall, &
                therm_i,                          &
                timestep,tsurf,tsoil,alph_PEM,beta_PEM)
@@ -20,8 +20,4 @@
 
 #include "dimensions.h"
-!#include "dimphys.h"
-
-!#include"comsoil.h"
-
 
 !-----------------------------------------------------------------------
@@ -40,14 +36,7 @@
       real,intent(inout) :: alph_PEM(ngrid,nsoil-1)
       real,intent(inout) :: beta_PEM(ngrid,nsoil-1)
-
-
-
-
       
 ! local variables:
-      integer ig,ik
-
-
-     
+      integer ig,ik    
 
 ! 0. Initialisations and preprocessing step
@@ -57,9 +46,7 @@
       do ig=1,ngrid
         do ik=0,nsoil-1
-	  mthermdiff_PEM(ig,ik)=therm_i(ig,ik+1)*therm_i(ig,ik+1)/volcapa
-    
+	  mthermdiff_PEM(ig,ik)=therm_i(ig,ik+1)*therm_i(ig,ik+1)/volcapa    
 	enddo
       enddo
-
 
 ! 0.2 Build thermdiff(:), the "interlayer" thermal diffusivities
@@ -69,5 +56,4 @@
                      +(mlayer_PEM(ik)-layer_PEM(ik))*mthermdiff_PEM(ig,ik-1))  &
                          /(mlayer_PEM(ik)-mlayer_PEM(ik-1))
-
 	enddo
       enddo
@@ -100,43 +86,23 @@
 	enddo
 
-
       enddo ! of do ig=1,ngrid
 
-      
-  
 endif ! of if (firstcall)
-
-
 
       IF (.not.firstcall) THEN
 !  2. Compute soil temperatures
 ! First layer:
-
-
-
-
-      do ig=1,ngrid
-        tsoil(ig,1)=(tsurf(ig)+mu_PEM*beta_PEM(ig,1)* &  
+        do ig=1,ngrid
+          tsoil(ig,1)=(tsurf(ig)+mu_PEM*beta_PEM(ig,1)* &  
                                   thermdiff_PEM(ig,1)/mthermdiff_PEM(ig,0))/ &
                    (1.+mu_PEM*(1.0-alph_PEM(ig,1))*&
                     thermdiff_PEM(ig,1)/mthermdiff_PEM(ig,0))
-     
-
-  
-
 
 ! Other layers:
-      do ik=1,nsoil-1
-
-          tsoil(ig,ik+1)=alph_PEM(ig,ik)*tsoil(ig,ik)+beta_PEM(ig,ik)
-
- 
-       enddo
-      
-     enddo
-          ENDIF
-
-
-
+          do ik=1,nsoil-1
+            tsoil(ig,ik+1)=alph_PEM(ig,ik)*tsoil(ig,ik)+beta_PEM(ig,ik) 
+          enddo
+        enddo
+      ENDIF
 
 !  2. Compute beta_PEM coefficients (preprocessing for next time step)
@@ -157,6 +123,4 @@
       enddo
 
-
-
       end
 
Index: /trunk/LMDZ.COMMON/libf/evolution/soil_settings_PEM.F
===================================================================
--- /trunk/LMDZ.COMMON/libf/evolution/soil_settings_PEM.F	(revision 2834)
+++ /trunk/LMDZ.COMMON/libf/evolution/soil_settings_PEM.F	(revision 2835)
@@ -56,6 +56,4 @@
       real alpha,lay1 ! coefficients for building layers
       real xmin,xmax ! to display min and max of a field
-
-
       
 !======================================================================
@@ -65,5 +63,4 @@
 
 ! 1.4 Build mlayer(), if necessary
-!      if (interpol) then
       ! default mlayer distribution, following a power law:
       !  mlayer(k)=lay1*alpha**(k-1/2)
@@ -73,5 +70,4 @@
 	  mlayer_PEM(iloop)=lay1*(alpha**(iloop-0.5))
 	enddo
-!      endif
 
 ! 1.5 Build layer(); following the same law as mlayer()
@@ -84,10 +80,6 @@
       enddo
 
-
-
-
 ! 2. Thermal inertia (note: it is declared in comsoil_h)
 ! ------------------
-
 
       do ig = 1,ngrid
@@ -103,3 +95,4 @@
         enddo
       enddo
+
       end subroutine soil_settings_PEM
Index: /trunk/LMDZ.COMMON/libf/evolution/temps_mod_evol.F90
===================================================================
--- /trunk/LMDZ.COMMON/libf/evolution/temps_mod_evol.F90	(revision 2834)
+++ /trunk/LMDZ.COMMON/libf/evolution/temps_mod_evol.F90	(revision 2835)
@@ -3,14 +3,10 @@
 IMPLICIT NONE  
 
-  INTEGER   nyear           !     nyear   : Maximun number of year over which the PEM can interpolate
+  INTEGER   year_bp_ini     !     year_bp_ini : Initial year of the simulation of the PEM (in evol.def)
   INTEGER   dt_pem          !     dt_pem  : in years, the time step used by the PEM    
   REAL      alpha_criterion !     alpha_criterion : percentage of change before stopping the PEM 
-
-!$OMP THREADPRIVATE(nyear)        
-
-!WARNING: when adding a threadprivate variable in this module
-!        do not forget to add it to the copyin clause when opening an OpenMP
-!        parallel section. e.g. in gcm before call leapfrog_loc and/or
-!        possibly in iniphysiq
+  INTEGER   year_PEM        !     year written in startfiPEM.nc
+  INTEGER   Max_iter_pem    !     Maximal number of iteration when converging to a steady state, read in evol.def
+  LOGICAL   evol_orbit_pem  !     True if we want to follow the orbital parameters of ob_ex_lsp.asc, read in evol.def
 
 END MODULE temps_mod_evol
Index: /trunk/LMDZ.COMMON/libf/evolution/update_soil.F90
===================================================================
--- /trunk/LMDZ.COMMON/libf/evolution/update_soil.F90	(revision 2834)
+++ /trunk/LMDZ.COMMON/libf/evolution/update_soil.F90	(revision 2835)
@@ -1,5 +1,4 @@
-   SUBROUTINE update_soil(ngrid,nslope,nsoil_PEM,tend_h2oglaciers,tend_co2glaciers,co2ice,waterice,ps_new,&
-                          cellarea,ice_depth,TI_PEM)
-
+   SUBROUTINE update_soil(ngrid,nslope,nsoil_PEM,tend_h2oglaciers,tend_co2glaciers,co2ice,waterice,p_avg_new,&
+                          ice_depth,TI_PEM)
 
  USE comsoil_h, only:  inertiedat, volcapa
@@ -10,10 +9,8 @@
  INTEGER,INTENT(IN) ::  ngrid, nslope, nsoil_PEM
  REAL,INTENT(IN) :: tend_h2oglaciers(ngrid,nslope),tend_co2glaciers(ngrid,nslope)
- REAL,INTENT(IN) :: ps_new(ngrid)
- REAL,INTENT(IN) :: cellarea(ngrid)
+ REAL,INTENT(IN) :: p_avg_new
  REAL,INTENT(IN) :: co2ice(ngrid,nslope)
  REAL,INTENT(IN) :: waterice(ngrid,nslope)
  REAL,INTENT(in) :: ice_depth(ngrid,nslope)
- 
 
 ! Outputs:
@@ -44,22 +41,9 @@
  REAL :: regolith_inertia(ngrid,nslope) ! TI of the regolith 
  REAL :: d(ngrid,nsoil_PEM,nslope)
- REAL :: p_avg_new
  REAL :: Total_surface
  INTEGER :: ispermanent_co2glaciers(ngrid,nslope)
  INTEGER :: ispermanent_h2oglaciers(ngrid,nslope)
 
-
 ! 0. Initialisation
-
-
-
-
-  Total_surface = sum(cellarea)
-  p_avg_new = 0.
-  do ig = 1,ngrid
-    p_avg_new = p_avg_new + ps_new(ig)*cellarea(ig)/Total_surface
-  enddo
-
-
 
   do ig = 1,ngrid
@@ -80,20 +64,9 @@
   enddo
 
-
  ispermanent_co2glaciers(:,:) = 0
  ispermanent_h2oglaciers(:,:) = 0
 
-
 !  1.Ice TI feedback
 
-!  do ig=1,ngrid
-!    do islope=1,nslope
-!      if ((ispermanent_co2glaciers(ig,islope).eq.1).or.(ispermanent_h2oglaciers(ig,islope).eq.1)) then
-!       do iloop = 1,n_1km
-!         TI_PEM(ig,iloop,islope) = surfaceice_inertia
-!       enddo
-!      endif
-!    enddo
-!   enddo
     do islope = 1,nslope
      call soil_TIfeedback_PEM(ngrid,nsoil_PEM,waterice(:,islope),   TI_PEM(:,:,islope))
@@ -101,6 +74,4 @@
 
 ! 2. Modification of the regolith thermal inertia.
-
-
 
   do ig=1,ngrid
@@ -115,9 +86,4 @@
    enddo
 enddo
-
-
-
-
-
 
 !  3. Build new TI for the PEM
@@ -142,8 +108,5 @@
          exit
         endif
-       
       enddo
-
-
 
       ! 4.2 Build the new ti
@@ -173,10 +136,4 @@
     enddo !ig
 
-
-
-
-
-
-
 !=======================================================================
       RETURN
